# Uses of Class
org.apache.lucene.spatial.ShapeValuesSource

Packages that use ShapeValuesSource
Package
Description
org.apache.lucene.spatial.bbox
Bounding Box Spatial Strategy
org.apache.lucene.spatial.serialized
Strategies that serialize the shape (non-indexed).
org.apache.lucene.spatial.util
Advanced spatial utilities.

- ## Uses of ShapeValuesSource in org.apache.lucene.spatial.bbox

  Methods in org.apache.lucene.spatial.bbox that return ShapeValuesSource
  Modifier and Type
  Method
  Description
  `ShapeValuesSource`
  BBoxStrategy.`makeShapeValueSource()`
  Provides access to each rectangle per document as a `ShapeValuesSource`
  Constructors in org.apache.lucene.spatial.bbox with parameters of type ShapeValuesSource
  Modifier
  Constructor
  Description
  ``
  `BBoxOverlapRatioValueSource(ShapeValuesSource rectValueSource, boolean isGeo, org.locationtech.spatial4j.shape.Rectangle queryExtent, double queryTargetProportion, double minSideLength)`
  ``
  `BBoxOverlapRatioValueSource(ShapeValuesSource rectValueSource, org.locationtech.spatial4j.shape.Rectangle queryExtent)`
  Construct with 75% weighting towards target (roughly GeoPortal's default), geo degrees assumed, no minimum side length.
  ``
  `BBoxSimilarityValueSource(ShapeValuesSource bboxValueSource)`

- ## Uses of ShapeValuesSource in org.apache.lucene.spatial.serialized

  Methods in org.apache.lucene.spatial.serialized that return ShapeValuesSource
  Modifier and Type
  Method
  Description
  `ShapeValuesSource`
  SerializedDVStrategy.`makeShapeValueSource()`
  Provides access to each shape per document

- ## Uses of ShapeValuesSource in org.apache.lucene.spatial.util

  Constructors in org.apache.lucene.spatial.util with parameters of type ShapeValuesSource
  Modifier
  Constructor
  Description
  ``
  `DistanceToShapeValueSource(ShapeValuesSource shapeValueSource, org.locationtech.spatial4j.shape.Point queryPoint, double multiplier, org.locationtech.spatial4j.context.SpatialContext ctx)`
  ``
  `ShapeAreaValueSource(ShapeValuesSource shapeValueSource, org.locationtech.spatial4j.context.SpatialContext ctx, boolean geoArea, double multiplier)`
  ``
  `ShapeValuesPredicate(ShapeValuesSource shapeValuesource, SpatialOperation op, org.locationtech.spatial4j.shape.Shape queryShape)`